# some defs
%define _altdocsdir %_defaultdocdir/alt-docs
%define _indexhtmldir %_altdocsdir/indexhtml

Name: indexhtml-school-server
Version: 4.1
Release: alt16

Summary: School Server html welcome page
License: distributable
Group: System/Base
BuildArch: noarch
Packager: ALT Docs Team <docs@packages.altlinux.org>

BuildRequires: desktop-file-utils

Provides: indexhtml
Conflicts: indexhtml-sisyphus
Conflicts: indexhtml-Desktop
Conflicts: indexhtml-school_junior
Conflicts: indexhtml-school_lite
Conflicts: indexhtml-school_master
Conflicts: indexhtml-school_terminal
Conflicts: indexhtml-small_business
Conflicts: indexhtml-office-server

Requires: xdg-utils

Source: %name-%version.tar
Source1: indexhtml.desktop
Source2: make_stripped_indexhtml

%description
School Server index.html welcome page.

%prep
%setup

%install
mkdir -p %buildroot{%_indexhtmldir/,%_desktopdir/}
cp -r * %buildroot%_indexhtmldir/
ln -s index-ru.html %buildroot%_indexhtmldir/index-en.html
touch %buildroot%_indexhtmldir/index.html
mkdir -p %buildroot%_indexhtmldir/default
touch %buildroot%_indexhtmldir/default/index.html
touch %buildroot%_indexhtmldir/index0.html
desktop-file-install --dir %buildroot%_desktopdir/ %SOURCE1
install -D -m755 %SOURCE2 %buildroot%_sysconfdir/firsttime.d/%name

%post
%_sbindir/indexhtml-update

%files
%ghost %_indexhtmldir/default
%ghost %_indexhtmldir/default/index.html
%ghost %_indexhtmldir/index0.html
%_indexhtmldir/*
%_desktopdir/*
%_sysconfdir/firsttime.d/%name

%changelog
* Sat Mar 28 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt16
- add StartupNotify=false to desktop file

* Fri Mar 27 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt15
- update Conflicts: list
- use desktop-file-install to install .desktop file

* Sat Feb 14 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt14
- fix Summary:

* Sat Feb 14 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt13
- fix exit code in firsttime script

* Fri Feb 06 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt12
- punctuation typo fixed (thx Vladimir Zhukov)

* Wed Feb 04 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt11
- small paraphrase (start/stop/restart services)

* Tue Jan 27 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt10
- fix addition div

* Tue Jan 27 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt9
- fix typo
- add httpd2/mysqld autostart mention

* Tue Jan 27 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt8
- change default login/password for moodle/mediawiki

* Mon Jan 26 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt7
- fixed Summary: and %%description

* Fri Jan 23 2009 Fr. Br. George <george@altlinux.ru> 4.1-alt6.1
- Change default_https.conf DocumentRoot

* Wed Jan 14 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt6
- add index0.html to %%files
- fixed Exec key in desktop file

* Tue Dec 30 2008 Fr. Br. George <george@altlinux.ru> 4.1-alt5.1
- Unprivileged user index.html creation
- Change default "It Works" page

* Wed Dec 24 2008 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt5
- set css min-width to 720px (for 800x600 screens)

* Mon Dec 08 2008 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt4
- new style (from mex3@)

* Sun Dec 07 2008 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt3
- show text URL's if javascript is disabled
- add mysqld warning
- add cups remote admin warning
- fix xhtml markup

* Fri Dec 05 2008 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt2
- remove samba (swat) link
- add default moodle/wiki password

* Mon Dec 01 2008 Artem Zolochevskiy <azol@altlinux.ru> 4.1-alt1
- initial build for Sisyphus
